Package Gnumed :: Package business :: Module gmPathLab :: Class cTestResult |
[frames] | no frames]

# Class cTestResult

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cTestResult

Represents one test result.

Instance Methods
format(self, with_review=True, with_evaluation=True, with_ranges=True, with_episode=True, with_type_details=True, date_format=`'``%Y %b %d %H:%M``'`) | source code
set_review(self, technically_abnormal=None, clinically_relevant=None, comment=None, make_me_responsible=False) | source code
get_adjacent_results(self, desired_earlier_results=1, desired_later_results=1, max_offset=None) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `__unicode__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| temporally_closest_normal_range Returns the closest test result which does have normal range information.
| formatted_range
| test_type
| is_considered_elevated
| is_considered_lowered
| is_considered_abnormal
| formatted_abnormality_indicator
| is_long_text
| estimate_numeric_value_from_alpha
Inherited from `object`: `__class__`

Method Details

### format(self, with_review=True, with_evaluation=True, with_ranges=True, with_episode=True, with_type_details=True, date_format=`'``%Y %b %d %H:%M``'`) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.format

Property Details

### temporally_closest_normal_range Returns the closest test result which does have normal range information. Get Method: _get_temporally_closest_normal_range(self) - Returns the closest test result which does have normal range information. Set Method: unreachable(x)

### formatted_range Get Method: _get_formatted_range(self) Set Method: unreachable(x)

### test_type Get Method: _get_test_type(self) Set Method: unreachable(x)

### is_considered_elevated Get Method: _get_is_considered_elevated(self) Set Method: unreachable(x)

### is_considered_lowered Get Method: _get_is_considered_lowered(self) Set Method: unreachable(x)

### is_considered_abnormal Get Method: _get_is_considered_abnormal(self) Set Method: unreachable(x)

### formatted_abnormality_indicator Get Method: _get_formatted_abnormality_indicator(self) Set Method: unreachable(x)

### is_long_text Get Method: _get_is_long_text(self) Set Method: unreachable(x)

### estimate_numeric_value_from_alpha Get Method: _get_estimate_numeric_value_from_alpha(self) Set Method: unreachable(x)